---
--- Generated manually.
--- Created by liaogaocan.
--- DateTime: 2020-6-28 15:05:59
---

---@class LBaseCameraController
local LBaseCameraController = LBaseCameraController or class("LBaseCameraController");

function LBaseCameraController:ctor()
    --
end

function LBaseCameraController:dtor()
    --
end

---@param x number
---@param y number
---@param z number
---@return boolean
function LBaseCameraController:SetPosition(x, y, z)
    --
end

---@return boolean
---@return x number
---@return y number
---@return z number
function LBaseCameraController:GetPosition()
    --
end

---@param x number
---@param y number
---@param z number
---@return boolean
function LBaseCameraController:SetUpDir(x, y, z)
    --
end

---@return boolean
---@return x number
---@return y number
---@return z number
function LBaseCameraController:GetUpDir()
    --
end

---@param x number
---@param y number
---@param z number
---@return boolean
function LBaseCameraController:SetLookDir(x, y, z)
    --
end

---@return boolean
---@return x number
---@return y number
---@return z number
function LBaseCameraController:GetLookDir()
    --
end

---@param angle number
---@return boolean
function LBaseCameraController:SetFovAngleY(angle)
    --
end

---@param ratio number
---@return boolean
function LBaseCameraController:SetAspectRatio(ratio)
    --
end

---@param near number
---@return boolean
function LBaseCameraController:SetNearPlane(near)
    --
end

---@param far number
---@return boolean
function LBaseCameraController:SetFarPlane(far)
    --
end

---@return boolean
---@return fovy number
---@return aspect number
---@return near number
---@return far number
function LBaseCameraController:GetCameraPerspective()
    
end

--@return boolean
function LBaseCameraController:ResetCamera()
    -- default camera settings
end
